aboutsummaryrefslogtreecommitdiff
path: root/common/hooks/post-install
diff options
context:
space:
mode:
authormaxice8 <thinkabit.ukim@gmail.com>2019-04-14 05:12:51 +0000
committermaxice8 <30738253+maxice8@users.noreply.github.com>2019-04-14 10:45:09 +0000
commit13b5d0980342fed3030221e6d540fa352401d814 (patch)
treea81794cad4f8f3d24981ec77cf9902f1e1d64fd9 /common/hooks/post-install
parenta00d546dce172dd86c07eb5050381ccbc3db2bb4 (diff)
downloadvoid-packages-13b5d0980342fed3030221e6d540fa352401d814.tar
void-packages-13b5d0980342fed3030221e6d540fa352401d814.tar.gz
void-packages-13b5d0980342fed3030221e6d540fa352401d814.tar.bz2
void-packages-13b5d0980342fed3030221e6d540fa352401d814.tar.lz
void-packages-13b5d0980342fed3030221e6d540fa352401d814.tar.xz
void-packages-13b5d0980342fed3030221e6d540fa352401d814.tar.zst
void-packages-13b5d0980342fed3030221e6d540fa352401d814.zip
04-create-xbps-metadata-scripts.sh: replace echo | grep with [[ ]]
Diffstat (limited to 'common/hooks/post-install')
-rw-r--r--common/hooks/post-install/04-create-xbps-metadata-scripts.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
index cc68069d615..13d555bde21 100644
--- a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
+++ b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
@@ -302,7 +302,7 @@ _EOF
for f in ${triggers}; do
targets=$($XBPS_TRIGGERSDIR/$f targets)
for j in ${targets}; do
- if ! $(echo $j|grep -q pre-${action}); then
+ if ! [[ $j =~ pre-${action} ]]; then
continue
fi
printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
@@ -314,7 +314,7 @@ _EOF
for f in ${triggers}; do
targets=$($XBPS_TRIGGERSDIR/$f targets)
for j in ${targets}; do
- if ! $(echo $j|grep -q post-${action}); then
+ if ! [[ $j =~ post-${action} ]]; then
continue
fi
printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf